Class GetTeamsMembers
java.lang.Object
masecla.modrinth4j.endpoints.generic.Endpoint<List<List<ModrinthTeamMember>>,GetTeamsMembers.GetTeamsMembersRequest>
masecla.modrinth4j.endpoints.teams.GetTeamsMembers
public class GetTeamsMembers
extends Endpoint<List<List<ModrinthTeamMember>>,GetTeamsMembers.GetTeamsMembersRequest>
This endpoint is used to get a list of team members.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classThis class is used to represent the request. -
Constructor Summary
ConstructorsConstructorDescriptionGetTeamsMembers(HttpClient client, com.google.gson.Gson gson) Creates a new instance of the endpoint. -
Method Summary
Modifier and TypeMethodDescriptionReturns the endpoint.com.google.gson.reflect.TypeToken<GetTeamsMembers.GetTeamsMembersRequest> Returns the request class.com.google.gson.reflect.TypeToken<List<List<ModrinthTeamMember>>> Returns the response class.booleanReturns whether or not the request is a JSON body.Methods inherited from class masecla.modrinth4j.endpoints.generic.Endpoint
checkBodyForErrors, executeRequest, getMethod, getReplacedUrl, readFile, readStream, requiresBody, sendRequest, sendRequest
-
Constructor Details
-
GetTeamsMembers
Creates a new instance of the endpoint.- Parameters:
client- The client to use.gson- The gson instance to use.
-
-
Method Details
-
getEndpoint
Returns the endpoint.- Specified by:
getEndpointin classEndpoint<List<List<ModrinthTeamMember>>,GetTeamsMembers.GetTeamsMembersRequest> - Returns:
- - The endpoint of the request.
-
getRequestClass
Returns the request class.- Specified by:
getRequestClassin classEndpoint<List<List<ModrinthTeamMember>>,GetTeamsMembers.GetTeamsMembersRequest> - Returns:
- - The
TypeTokenfor the response.
-
getResponseClass
Returns the response class.- Specified by:
getResponseClassin classEndpoint<List<List<ModrinthTeamMember>>,GetTeamsMembers.GetTeamsMembersRequest> - Returns:
- - The
TypeTokenfor the response.
-
isJsonBody
public boolean isJsonBody()Returns whether or not the request is a JSON body.- Overrides:
isJsonBodyin classEndpoint<List<List<ModrinthTeamMember>>,GetTeamsMembers.GetTeamsMembersRequest> - Returns:
- - Whether or not the request body should be JSON.
-